getLoadBalancerSslCertificateList (Deprecated)

Prev Next

Available in Classic

Get the SSL certificate used by a load balancer.

Note

Since the getLoadBalancerSslCertificateList API has been deprecated, use getCertificateList.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /loadbalancer/v2/getLoadBalancerSslCertificateList

Request headers

For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
certificateName String Optional Filter by load balancer certificate name to query.
  • Query all certificates you own.

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/loadbalancer/v2/getLoadBalancerSslCertificateList?certificateName=YOUR_CERTIFICATE' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See SslCertificate for the response body.

Response status codes

For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.

Response example

The response example is as follows:

<getLoadBalancerSslCertificateListResponse>
  <requestId>7b1ce8fa-fc3f-4f69-b199-fdeac3773e79</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <sslCertificateList>
    <sslCertificate>
      <certificateName>YOUR_CERTIFICATE</certificateName>
      <privateKey>YOUR_PRIVATE_KEY</privateKey>
      <publicKeyCertificate>YOUR_PUBLIC_KEY</publicKeyCertificate>
      <certificateChain></certificateChain>
    </sslCertificate>
  </sslCertificateList>
</getLoadBalancerSslCertificateListResponse>